Bug 17696 - Two missing periods in opac-suggestions.tt
Summary: Two missing periods in opac-suggestions.tt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Eric Phetteplace
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-29 20:14 UTC by Eric Phetteplace
Modified: 2016-12-04 21:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
patch (3.26 KB, patch)
2016-11-29 20:26 UTC, Eric Phetteplace
Details | Diff | Splinter Review
Bug 17696: missing periods in opac-suggestions.tt (3.21 KB, patch)
2016-11-29 23:57 UTC, Alex Buckley
Details | Diff | Splinter Review
Attachment to Bug 17696 - Two missing periods in opac-suggestions.tt (3.40 KB, patch)
2016-11-30 00:14 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17696: Add 2 missing periods in opac-suggestions.tt (3.35 KB, patch)
2016-11-30 09:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Phetteplace 2016-11-29 20:14:19 UTC
Around line 38 of the template file a sentence is missing a period:

<p>Please fill out this form to make a purchase suggestion. You will receive an email when the library processes your suggestion</p>

In an attempt to make this patch more worthwhile, I went looking for other typos in the template and found another missing period around line 259 in the conditional text that appears if the user has more pending suggestions than the MaxOpenSuggestions setting allows:

<p class="TooManySuggestionsText">You have reached your limit of suggestions you can place at this time.</br>Once the library has processed those suggestions you will be able to place more</p>

Testing plan:

- configure MaxOpenSuggestions with a low limit (e.g. 1)
- visit opac-suggestions.pl?op=add, login if necessary
- note that the period is missing from the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- continue to submit suggestions until you've reached the MaxOpenSuggestions limit
- observe the missing period in the "TooManySuggestionsText" paragraph
- apply patch
- revisit opac-suggestions.pl?op=add
- note that the period is now present in the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- note that the period is also present at the end of the "TooManySuggestionsText" paragraph

Patch coming shortly.
Comment 1 Eric Phetteplace 2016-11-29 20:26:15 UTC
Created attachment 57809 [details] [review]
patch
Comment 2 Alex Buckley 2016-11-29 23:57:26 UTC
Created attachment 57812 [details] [review]
Bug 17696: missing periods in opac-suggestions.tt

Problem:

- two missing trailing periods in template

Test plan:

- configure MaxOpenSuggestions with a low limit (e.g. 1)
- visit opac-suggestions.pl?op=add, login if necessary
- note that the period is missing from the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- continue to submit suggestions until you've reached the MaxOpenSuggestions limit
- observe the missing period in the "TooManySuggestionsText" paragraph
- apply patch
- revisit opac-suggestions.pl?op=add
- note that the period is now present in the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- note that the period is also present at the end of the "TooManySuggestionsText" paragraph
Comment 3 Alex Buckley 2016-11-30 00:14:08 UTC
Created attachment 57814 [details] [review]
Attachment to Bug 17696 - Two missing periods in opac-suggestions.tt

Bug 17696: missing periods in opac-suggestions.tt

Problem:

- two missing trailing periods in template

Test plan:

- configure MaxOpenSuggestions with a low limit (e.g. 1)
- visit opac-suggestions.pl?op=add, login if necessary
- note that the period is missing from the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- continue to submit suggestions until you've reached the MaxOpenSuggestions limit
- observe the missing period in the "TooManySuggestionsText" paragraph
- apply patch
- revisit opac-suggestions.pl?op=add
- note that the period is now present in the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- note that the period is also present at the end of the "TooManySuggestionsText" paragraph

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

 HEAD detached from origin/master
 Changes to be committed:
	modified:   koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-suggestions.tt
Comment 4 Jonathan Druart 2016-11-30 09:46:30 UTC
Created attachment 57831 [details] [review]
Bug 17696: Add 2 missing periods in opac-suggestions.tt

Problem:

- two missing trailing periods in template

Test plan:

- configure MaxOpenSuggestions with a low limit (e.g. 1)
- visit opac-suggestions.pl?op=add, login if necessary
- note that the period is missing from the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- continue to submit suggestions until you've reached the MaxOpenSuggestions limit
- observe the missing period in the "TooManySuggestionsText" paragraph
- apply patch
- revisit opac-suggestions.pl?op=add
- note that the period is now present in the second sentence of the leading paragraph under the "Enter a new purchase suggestion" heading
- note that the period is also present at the end of the "TooManySuggestionsText" paragraph

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-12-02 10:16:46 UTC
Pushed to master for 16.11, thanks Eric!
Comment 6 Marcel de Rooy 2016-12-02 12:49:06 UTC
(In reply to Kyle M Hall from comment #5)
> Pushed to master for 16.11, thanks Eric!

16.11 or 17.05 ?
Comment 7 Katrin Fischer 2016-12-04 21:39:18 UTC
This patch has been pushed to 16.11.x, will be in 16.11.01.